
GIS - Task #7622

Bala's contract

11/02/2019 12:03 - Giulio Di Anastasio

Status: Closed Start date: 11/02/2019

Priority: Normal Due date:  

Assignee: Giulio Di Anastasio % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Finalise Bala's contract and Solar Kitchen

History

#1 - 11/02/2019 16:29 - Philippe May

- Project changed from Gisaf to GIS

#2 - 08/03/2019 16:05 - Giulio Di Anastasio

- Status changed from New to Closed
